| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_cgms_s Struct Reference
Structures

Status information for the CGM Service. More...

`#include <nrf_ble_cgms.h>`

## Data Fields
ble_cgms_evt_handler_t | evt_handler
ble_srv_error_handler_t | error_handler
uint16_t | service_handle
nrf_ble_cgms_char_handler_t | char_handles
uint16_t | conn_handle
nrf_ble_cgms_feature_t | feature
uint8_t | comm_interval
ble_socp_rsp_t | socp_response
nrf_ble_cgms_calib_t | calibration_val [5]
bool | is_session_started
uint8_t | nb_run_session
uint16_t | session_run_time
nrf_ble_cgm_status_t | sensor_status
nrf_ble_cgms_com_state_t | cgms_com_state
nrf_ble_cgms_racp_t | racp_data

## Detailed Description

Status information for the CGM Service.

## Field Documentation

nrf_ble_cgms_calib_t ble_cgms_s::calibration_val[5]

Calibration value. Can be read from and written to SOCP.

nrf_ble_cgms_com_state_t ble_cgms_s::cgms_com_state

Current communication state.

nrf_ble_cgms_char_handler_t ble_cgms_s::char_handles

GATTS characteristic handles for the different characteristics in the service.

uint8_t ble_cgms_s::comm_interval

Variable to keep track of the communication interval.

uint16_t ble_cgms_s::conn_handle

Handle of the current connection (as provided by the BLE stack; BLE_CONN_HANDLE_INVALID if not in a connection).

ble_srv_error_handler_t ble_cgms_s::error_handler

Function to be called if an error occurs.

ble_cgms_evt_handler_t ble_cgms_s::evt_handler

Event handler to be called for handling events in the CGM Service.

nrf_ble_cgms_feature_t ble_cgms_s::feature

Structure to store the value of the feature characteristic.

bool ble_cgms_s::is_session_started

Indicator if we are currently in a session.

uint8_t ble_cgms_s::nb_run_session

Variable to keep track of the number of sessions that were run.

nrf_ble_cgms_racp_t ble_cgms_s::racp_data

Structure to manage Record Access requests.

nrf_ble_cgm_status_t ble_cgms_s::sensor_status

Structure to keep track of the sensor status.

uint16_t ble_cgms_s::service_handle

Handle of the CGM Service (as provided by the BLE stack).

uint16_t ble_cgms_s::session_run_time

Variable to store the expected run time of a session.

ble_socp_rsp_t ble_cgms_s::socp_response

Structure containing reponse data to be indicated to the peer device.